Description

I cannot get the shortcut menu as described in the wiki page RedmineIssueList to work in either Firefox (v3, RC1) or Safari.  The

keyboard shortcuts (e, f, etc.) do not work as well.  In FF, nothing at all happens when right clicking, in Safari, it just opens the default

context menu.

Associated revisions

Revision 1761 - 2008-08-25 17:09 - Jean-Philippe Lang

Make the issue list context menu work under Mac OSX Leopard (#1485). Tested with FF3.0.1 and Safari 3.0.4 under OSX 10.5.2.

History

#1 - 2008-06-17 20:50 - Jean-Philippe Lang

- Target version deleted (0.7.2)

#2 - 2008-06-17 22:23 - Jean-Philippe Lang

Everything works fine with Firefox3 final (Win32) and Safari 3.1.1 (Win32).

What OS are you using ?

#3 - 2008-06-17 23:29 - Lev T

Jean-Philippe Lang wrote:

Everything works fine with Firefox3 final (Win32) and Safari 3.1.1 (Win32).

What OS are you using ?

 Mac OS X Leopard.  I should mention that I'm seeing the same problem on the issues list on redmine.org itself.  On my own install, I am logged as an

administrative user, so I doubt it's a security problem.

#4 - 2008-06-17 23:36 - Lev T

I also just gave it a try on demo.redmine.org, logged in as guest/guest, with the same result.  Nothing happens when right clicking on a selected issue

on the issues page.

Could I be missing something here?  I assume the intended behavior is that when an issue is checked from the list, right clicking on that issue, on any

area other than the hyperlink, will open the shortcut menu.  Is that correct?

#5 - 2008-06-18 19:17 - Jean-Philippe Lang

This is correct.

Another issue (#1398) was reported with Mac OS X. But it's the opposite: the browser's default context menu can not be displayed.

#6 - 2008-06-18 20:47 - Lev T

I did some follow up testing on Windows using Parallels and noticed the following.  On the sand box site, using Firefox on Windows the shortcut menu

does work.  This exact same page does not work on the Mac.  So definitely an issue with FF and Safari on OS X.

On my own install, however, I cannot even get the shortcut menu to work in Windows.  I am seeing a difference between the two.  On the Demo and

main Redmine sites, selecting/clicking on an issue causes the entire row to change state, becoming a dark blue background.  This is not the case on

my own install, where I can check an issue and hovering over it makes it yellow, but the entire row doesn't become selected.  I deployed directly from

SVN, and am running version 0.7.devel.1556.  I tried using both the default and alternate themes.  Everything else seems to work.

Any ideas what's going on?
#7 - 2008-06-24 18:25 - Lev T

I did a little more research into this and found some descrepancies between my install and the one running here and on demo by comparing the

markup.  Note I am running the latest version of Redmine from SVN on Ubuntu/Apache/Mongrel.  The HTML header for redmine.org contains this

single JS file:

<script src="/javascripts/main.js?1207248491" type="text/javascript"></script>

Where as on my install it looks like this:

<script src="/javascripts/prototype.js?1213163055" type="text/javascript"></script>

<script src="/javascripts/effects.js?1213163055" type="text/javascript"></script>

<script src="/javascripts/dragdrop.js?1213163055" type="text/javascript"></script>

<script src="/javascripts/controls.js?1213163055" type="text/javascript"></script>

<script src="/javascripts/application.js?1212471858" type="text/javascript"></script>

 In addition, this site is running the redmine theme, which is not available in SVN.  I am running alternate.

What's up with the different javascript files?

#8 - 2008-06-24 19:33 - Lev T

One more udpate on this one.  The problem I was having was with the version of prototype.js.  My install was using the latest, 1.6.01, where as the

current version on redmine.org, and in SVN, is only 1.5.

How the heck did I get 1.6 in my install???  When I deleted the file, than ran an svn update to restore, all is well.

NOTE: The context menus do not work at all in FF 3 on the Mac in any environment.

#9 - 2008-07-02 23:18 - Jean-Philippe Lang

How the heck did I get 1.6 in my install

 Maybe rake rails:update

#10 - 2008-07-03 02:06 - Lev T

Thanks for the tip, maybe that was it.  In anycase, I deleted the file and did a fresh update.  I now see the project is updated to be using Prototype

1.6.1 anyways.  So now I can select issue rows, like in other Redmine instances, but the shortcut menu still does not work in FF 3 on the Mac, at all. 

In Safari on the Mac, it works a little in the sense that it appears, but you can't select any items from the menu.

Hoping we can get this working on the Mac; the issues are tough to deal with without access to the shortcut menu.  I'm sure many innovative users

who would love Redmine are on the Mac platform.

Great product, BTW.  Best downloadable issue tracker I've come across, OSS or not.

#11 - 2008-07-08 22:41 - Lev T

- File context_menu.js added

I wanted to share that I found a solution to this problem.  The problem resides in context_menu.js.  Specifically, FF 3, at least, does not recognize the

"contextmenu" event.  Instead, you need hit the main click event handler and then test for "isLeftClick", showing the context menu in the else

condition.  Patched file attached.

#12 - 2008-08-25 17:07 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Fix committed in r1761 with a slight change so that it still works under Win32.

Tested with FF3.0.1 and Safari 3.0.4 under OSX 10.5.2.

Thanks for your help.

#13 - 2008-08-26 18:16 - Robert Chady

- Status changed from Closed to Reopened
Hello, I just updated my test install of Redmine to the latest svn version and this does not seem to be working for me at all.  I had another person test

it out as well and they also do not see it working.

I am running this against HEAD of trunk (r1770), ruby 1.8.6, Rails 2.1 with FF3.0.1 on OSX Leopard 10.5.4.

Could you please look at this again?

#14 - 2008-09-15 13:04 - Markus Knittig

I can confirm this bug. Configuration: Redmine HEAD, Ruby 1.8.6, Rails 2.1, with FF 3.0.1 on Ubuntu 8.04.

#15 - 2008-09-17 15:27 - Thomas Lecavelier

Work fine at r1866, FF3.0.1 on XP SP2, with this distant server config:

15:03 ook@bearnaise ~/work/redmine% ruby script/about RAILS_ENV=production

About your application's environment

Ruby version              1.8.6 (x86_64-linux)

RubyGems version          1.2.0

Rails version             2.1.0

Active Record version     2.1.0

Action Pack version       2.1.0

Active Resource version   2.1.0

Action Mailer version     2.1.0

Active Support version    2.1.0

Application root          /home/ook/work/redmine

Environment               development

Database adapter          mysql

Database schema version   0

#16 - 2008-10-24 14:07 - Peter Devlin

I have a similar issue.

Server side - Ubuntu 8.0.4, Redmine 0.7.3.1932 (MySQL) (latest stable release) installed with Ruby on Rails 2.0.2 and Apache 2.

On the client side, my setup displays the correct Issues list right-click context menu when using IE 6.0.2 but when using Firefox 2.0.0.17 the context

menu is not available.

I had to manually amend the context_menu.js as per instructions on http://www.redmine.org/issues/show/1655 to get the context working in IE.

#17 - 2008-12-30 12:44 - Jean-Philippe Lang

- Target version deleted (0.8)

#18 - 2011-11-27 23:51 - Mischa The Evil

- Status changed from Reopened to Closed

Outdated. Please open a new issue if the here described errors re-occur on current Redmine versions.

FTR, r1761 was actually included in Redmine 0.8.

Files

context_menu.js 6.46 KB 2008-07-08 Lev T
